Ruby: ext/json/parser/parser.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Enumerations | Functions
parser.c File Reference
`#include "../fbuffer/fbuffer.h"`
`#include "parser.h"`

Go to the source code of this file.

## Macros
#define | EXC_ENCODING rb_utf8_encoding(),
#define | rb_enc_raise enc_raise

## Enumerations
enum | { JSON_object_start = 1 }
enum | { JSON_object_first_final = 27 }
enum | { JSON_object_error = 0 }
enum | { JSON_object_en_main = 1 }
enum | { JSON_value_start = 1 }
enum | { JSON_value_first_final = 29 }
enum | { JSON_value_error = 0 }
enum | { JSON_value_en_main = 1 }
enum | { JSON_integer_start = 1 }
enum | { JSON_integer_first_final = 3 }
enum | { JSON_integer_error = 0 }
enum | { JSON_integer_en_main = 1 }
enum | { JSON_float_start = 1 }
enum | { JSON_float_first_final = 8 }
enum | { JSON_float_error = 0 }
enum | { JSON_float_en_main = 1 }
enum | { JSON_array_start = 1 }
enum | { JSON_array_first_final = 17 }
enum | { JSON_array_error = 0 }
enum | { JSON_array_en_main = 1 }
enum | { JSON_string_start = 1 }
enum | { JSON_string_first_final = 8 }
enum | { JSON_string_error = 0 }
enum | { JSON_string_en_main = 1 }
enum | { JSON_start = 1 }
enum | { JSON_first_final = 10 }
enum | { JSON_error = 0 }
enum | { JSON_en_main = 1 }

## Functions
void | Init_parser (void)

## Macro Definition Documentation

## ◆ EXC_ENCODING

#define EXC_ENCODING rb_utf8_encoding(),

Definition at line 7 of file parser.c.

## ◆ rb_enc_raise

#define rb_enc_raise enc_raise

Definition at line 21 of file parser.c.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_object_start |

Definition at line 107 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_object_first_final |

Definition at line 108 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_object_error |

Definition at line 109 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_object_en_main |

Definition at line 111 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_value_start |

Definition at line 486 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_value_first_final |

Definition at line 487 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_value_error |

Definition at line 488 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_value_en_main |

Definition at line 490 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_integer_start |

Definition at line 884 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_integer_first_final |

Definition at line 885 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_integer_error |

Definition at line 886 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_integer_en_main |

Definition at line 888 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_float_start |

Definition at line 983 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_float_first_final |

Definition at line 984 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_float_error |

Definition at line 985 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_float_en_main |

Definition at line 987 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_array_start |

Definition at line 1184 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_array_first_final |

Definition at line 1185 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_array_error |

Definition at line 1186 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_array_en_main |

Definition at line 1188 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_string_start |

Definition at line 1524 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_string_first_final |

Definition at line 1525 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_string_error |

Definition at line 1526 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_string_en_main |

Definition at line 1528 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_start |

Definition at line 1889 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_first_final |

Definition at line 1890 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_error |

Definition at line 1891 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_en_main |

Definition at line 1893 of file parser.c.

## Function Documentation

## ◆ Init_parser()

void Init_parser | ( | void |  | ) |

Definition at line 2120 of file parser.c.

References rb_cObject, rb_const_get(), rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), rb_ext_ractor_safe(), rb_gc_register_mark_object(), rb_intern(), rb_path2class(), and rb_require().